## ros-melodic-mrp2-gazebo 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mrp2_gazebo)

find_package(catkin REQUIRED)

catkin_package()

foreach(dir launch models worlds config)
    install(DIRECTORY ${dir}/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach(dir)

=== debian/changelog ===
ros-melodic-mrp2-gazebo (1.0.1-1stretch) stretch; urgency=high

  * version bump to 1.0.0
  * package maintainers updated
  * remove controls
  * default gazebo gui=false to save resources in development
  * removed cartographer launch from gazebo launch
  * added entry for launching cartographer node with simulation
  * cmake install directories
  * properly removed dependency: mrp2_hardware_gazebo package
  * refactor: mrp2_control to mrp2_teleop
  * removed: mrp2_hardware_gazebo package, dependency to mrp2_analyzer
  * Contributors: Emir Cem Gezer, OnurDz

 -- Emir Cem Gezer <emircem.g@milvusrobotics.com>  Sun, 20 Sep 2020 21:00:00 -0000

ros-melodic-mrp2-gazebo (0.2.3-1stretch) stretch; urgency=high

  * Updated package informations
  * Organized config files
  * Contributors: Akif

 -- Emir Cem Gezer <emircem.g@milvusrobotics.com>  Wed, 09 Mar 2016 22:00:00 -0000

ros-melodic-mrp2-gazebo (0.2.1-1stretch) stretch; urgency=high

  * Organized code and structure
  * Initial commit
  * Contributors: Akif

 -- Emir Cem Gezer <emircem.g@milvusrobotics.com>  Sun, 10 Jan 2016 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-mrp2-gazebo
Section: misc
Priority: optional
Maintainer: Emir Cem Gezer <emircem.g@milvusrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://wiki.ros.org/mrp2_gazebo
Standards-Version: 3.9.2

Package: ros-melodic-mrp2-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-gazebo-ros, ros-melodic-mrp2-description
Description: Launch files and simulation files to run MRP2 in Gazebo.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-mrp2-gazebo//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
